commit:     15011d6eb9260283b3ad89e729096659cddb0caa
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Fri Dec  6 20:10:00 2019 +0000
Commit:     Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Fri Dec  6 20:24:38 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=15011d6e

dev-libs/oniguruma: Add live ebuild.

Signed-off-by: Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache.Org>
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>

 dev-libs/oniguruma/oniguruma-9999.ebuild | 50 ++++++++++++++++++++++++++++++++
 1 file changed, 50 insertions(+)

diff --git a/dev-libs/oniguruma/oniguruma-9999.ebuild 
b/dev-libs/oniguruma/oniguruma-9999.ebuild
new file mode 100644
index 00000000000..8efae939440
--- /dev/null
+++ b/dev-libs/oniguruma/oniguruma-9999.ebuild
@@ -0,0 +1,50 @@
+# Copyright 2003-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+inherit multilib-minimal
+
+if [[ "${PV}" == "9999" ]]; then
+       inherit autotools git-r3
+
+       EGIT_REPO_URI="https://github.com/kkos/oniguruma";
+fi
+
+DESCRIPTION="Regular expression library for different character encodings"
+HOMEPAGE="https://github.com/kkos/oniguruma";
+if [[ "${PV}" == "9999" ]]; then
+       SRC_URI=""
+else
+       
SRC_URI="https://github.com/kkos/${PN}/releases/download/v${PV}/onig-${PV}.tar.gz";
+fi
+
+LICENSE="BSD-2"
+SLOT="0/5"
+KEYWORDS=""
+IUSE="crnl-as-line-terminator static-libs"
+
+if [[ "${PV}" != "9999" ]]; then
+       S="${WORKDIR}/onig-${PV}"
+fi
+
+DOCS=(AUTHORS HISTORY README{,_japanese} 
doc/{API,CALLOUTS.API,CALLOUTS.BUILTIN,FAQ,RE}{,.ja} 
doc/{SYNTAX.md,UNICODE_PROPERTIES})
+
+src_prepare() {
+       default
+
+       if [[ "${PV}" == "9999" ]]; then
+               eautoreconf
+       fi
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf \
+               $(use_enable crnl-as-line-terminator) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       einstalldocs
+       find "${D}" -name "*.la" -type f -delete || die
+}

Reply via email to